Subject: Re: [alto] Second WGLC for cost-calendar

From: Vijay Gurbani <[email-masked]>
Date: Wed, 6 Mar 2019 12:21:37 -0600

Sabine: Thank you for submitting the revision.  I will go over it and get
back to you with any editorial changes, and pursuant to that we will move
it out of the WG.
Cheers,
- vijay

On Tue, Feb 26, 2019 at 2:08 PM Vijay Gurbani <[email-masked]>
wrote:

> Sabine: The second WGLC for cost-calendar is now over.  Jensen and Danny
> (thank you both) have provided comments.
>
> Kindly attend to the comments during WGLC and release a new version so we
> can move this work ahead.
>
> Thank you for your attention to this.
>
>
> On Fri, Feb 22, 2019 at 11:47 AM Randriamasy, Sabine (Nokia -
> FR/Paris-Saclay) <[email-masked]> wrote:
>
>> Hi Jensen,
>>
>>
>>
>> Thanks a lot for your review , I will fix this,
>>
>> Best regards,
>>
>> Sabine
>>
>>
>>
>>
>>
>> *From:* alto <[email-masked]> *On Behalf Of *Jensen Zhang
>> *Sent:* Friday, February 22, 2019 6:28 PM
>> *To:* Vijay Gurbani <[email-masked]>
>> *Cc:* IETF ALTO <[email-masked]>
>> *Subject:* Re: [alto] Second WGLC for cost-calendar
>>
>>
>>
>> Hi ALTOers,
>>
>>
>>
>> I checked the JSON examples in draft-ietf-alto-cost-calendar-10. And I
>> saw the following syntax errors still left in the latest document:
>>
>>
>>
>> In the IRD example in Sec 3.3,
>>
>> - "meta/cost-types/num-throughputrating/cost-metric"
>> and "meta/cost-types/string-servicestatus/cost-metric" have trailing commas.
>>
>> - missing a comma between
>> "resources/filtered-cost-map-calendar/calendar-attributes" and
>> "resources/filtered-cost-map-calendar/uses".
>>
>>
>>
>> In the FCM response example in Sec 4.1.3,
>>
>> - missing a pair of { } inside the list value of
>> "meta/calendar-response-attributes".
>>
>>
>>
>> In the ECS response example in Sec 4.2.3,
>>
>> - "meta/calendar-response-attributes" has a trailing comma.
>>
>>
>>
>> In the Multi-Cost ECS response example in Sec 4.2.4,
>>
>> - missing a comma between
>> "meta/calendar-response-attributes/cost-type-names" and
>> "meta/calendar-response-attributes/calendar-start-time".
>>
>> - "meta/calendar-response-attributes" has a trailing comma.
>>
>>
>>
>> After fixed the syntax issues above, I used cURL to check the
>> Content-Length for all JSON examples.. But I cannot get the same value as
>> the document gives.
>>
>>
>>
>> Following is my result. But the Content-Length value for the response
>> JSON should be wrong. Because I just left the symbols "v1, v2, ..." but not
>> the concrete values in the JSON.
>>
>>
>>
>> ./cost-cal-ecs-req.json
>>
>> > Content-Length: 290
>>
>> ./cost-cal-ecs-res.json
>>
>> > Content-Length: 557
>>
>> ./cost-cal-fcm-req.json
>>
>> > Content-Length: 208
>>
>> ./cost-cal-fcm-res.json
>>
>> > Content-Length: 689
>>
>> ./cost-cal-ird.json
>>
>> > Content-Length: 2542
>>
>> ./cost-cal-mcecs-req.json
>>
>> > Content-Length: 373
>>
>> ./cost-cal-mcecs-res.json
>>
>> > Content-Length: 967
>>
>>
>>
>> My script and JSON files for the Content-Length checking can be found in
>> my Gist: https://gist.github.com/fno2010/9d4ac11ff268a83011f7d0bcf5bd44e2
>>
>>
>>
>> Sabine, you told me you replaced the symbols "v1, v2, ..." by specific
>> values to evaluate the content-length. Not sure which values you
>> were using. But you can modify the JSON files and rerun my script to
>> evaluate the Content-Length.
>>
>>
>>
>> Best,
>>
>> Jensen
>>
>>
>>
>>
>>
>> On Thu, Feb 21, 2019 at 1:16 PM Vijay Gurbani <[email-masked]>
>> wrote:
>>
>> Folks: The WGLC period is about to expire and so far no one has posted
>> anything to the list.  It is imperative that we have some folks looking at
>> the drafts as we move them along.  I do realize everyone is busy, please
>> kindly take a few minutes to look at the diffs and post anything that seems
>> remiss to the list.
>>
>>
>>
>> Thank you.
>>
>>
>>
>> On Mon, Feb 11, 2019 at 9:54 AM Vijay Gurbani <[email-masked]>
>> wrote:
>>
>> Folks: During the IESG review of cost-calendar, substantial comments were
>> made that requires a second WGLC for this draft.  Pursuant to the second
>> WGLC, we will resend the draft to the IESG.
>>
>>
>>
>> The IESG comments are captured in [1].  The authors of cost-calendar have
>> revised the draft to address these comments and the new draft (version -10)
>> is available at [2].
>>
>>
>>
>> This email serves as a second WGLC for cost-calendar and will run from
>> Mon, Feb 11 2019 to Mon, Feb 25 2019.  During this two week period, please
>> examine carefully the revised version and post any comments or discussions
>> to the list, even if you have no comments, a simple email to the list
>> saying that you have examined the changes and the draft is ready to proceed
>> is helpful.
>>
>>
>>
>> To help you save time, you can examine the diffs between -09 and -10 at
>> [3].
>>
>>
>>
>> Thank you.
>>
>>
>>
>> [1]
>> https://datatracker.ietf.org/doc/draft-ietf-alto-cost-calendar/ballot/
>> [2] https://datatracker.ietf.org/doc/draft-ietf-alto-cost-calendar/
>> [3]
>> https://tools.ietf.org/rfcdiff?url2=draft-ietf-alto-cost-calendar-10.txt
>>
>> _______________________________________________
>> alto mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/alto
>>
>>